<template>
    <div>
        <h1>Index page</h1>

        <div>
            On mounted, we retrieve the following data from the server (using axios and a generated client from an openapi spec):

            <ul>
                hostSetting: {{ hostSetting }}
            </ul>

        </div>
    </div>

</template>

<script lang="ts">

import { Configuration, HostSettings, DefaultApi } from "~/scripts/app-api-client";

export default defineComponent({
    data() {
        return {
            hostSetting: {} as HostSettings
        }
    },
    mounted() {
        const configuration = new Configuration({
            basePath: 'http://localhost:8080',
        });

        const defaultApi = new DefaultApi(configuration);

        defaultApi.getApiHostsettings()
            .then(response => {
                this.hostSetting = response.data;
            });
    }
})



</script>
